aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Jansa <martin.jansa@gmail.com>2017-04-24 16:29:54 +0200
committerRoss Burton <ross.burton@intel.com>2017-04-25 12:18:32 +0100
commitfc0e3eae0f0669e6780ed69680cd065a77baca24 (patch)
tree036e53a96b3e7bcdd4543d413d4cd64ddff5eece
parentde001bd6bfcec943d274b649c62be6848cc9c3e6 (diff)
downloadmeta-gplv2-fc0e3eae0f0669e6780ed69680cd065a77baca24.tar.gz
meta-gplv2-fc0e3eae0f0669e6780ed69680cd065a77baca24.tar.bz2
meta-gplv2-fc0e3eae0f0669e6780ed69680cd065a77baca24.zip
gnutls: add older gnutls compatible with nettle
* gnutls depends on nettle-3.1* since 3.4.0: The requirement for nettle was bumped from 3.0 to 3.1 in gnutls_3_4_0 https://gitlab.com/gnutls/gnutls/commit/c84129af91b21d33ffe086e507632771b0e76498 and from 2.7 to 3.0 a bit earlier also in gnutls_3_4_0 https://gitlab.com/gnutls/gnutls/commit/3fa80cf68919f07b3351b2722278ba463d6e731c * add recipe for last release in 3.3 branch which is compatible with nettle 2.7.1 used in meta-gplv2 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rw-r--r--recipes-support/gnutls/gnutls/configure.ac-fix-sed-command.patch31
-rw-r--r--recipes-support/gnutls/gnutls_3.3.27.bb23
2 files changed, 54 insertions, 0 deletions
diff --git a/recipes-support/gnutls/gnutls/configure.ac-fix-sed-command.patch b/recipes-support/gnutls/gnutls/configure.ac-fix-sed-command.patch
new file mode 100644
index 0000000..44a9934
--- /dev/null
+++ b/recipes-support/gnutls/gnutls/configure.ac-fix-sed-command.patch
@@ -0,0 +1,31 @@
+From eb93aa7b986c84da60a3db40afb29d1a70c50223 Mon Sep 17 00:00:00 2001
+From: Robert Yang <liezhi.yang@windriver.com>
+Date: Sat, 17 Jan 2015 17:02:15 +0000
+Subject: [PATCH] configure.ac: fix sed command
+
+The "sed 's/.bak//g'" matchs "bitbake", which would cause strange errors
+when the S contains "bitbake", fix to "sed 's/\.bak$//'`"
+
+Upstream-Status: Pending
+
+Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index c6818a0..1c4582d 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -466,7 +466,7 @@ if test "$NEED_LIBOPTS_DIR" = "true";then
+ dnl replace libopts-generated files with distributed backups, if present
+ missing_baks=
+ for i in ${srcdir}/src/*-args.c.bak ${srcdir}/src/*-args.h.bak; do
+- nam=`echo $i|sed 's/.bak//g'`
++ nam=`echo $i|sed 's/\.bak$//'`
+ if test -f $i;then
+ cp -f $i $nam
+ else
+--
+2.0.1
+
diff --git a/recipes-support/gnutls/gnutls_3.3.27.bb b/recipes-support/gnutls/gnutls_3.3.27.bb
new file mode 100644
index 0000000..c98da34
--- /dev/null
+++ b/recipes-support/gnutls/gnutls_3.3.27.bb
@@ -0,0 +1,23 @@
+require recipes-support/gnutls/gnutls.inc
+
+LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504 \
+ file://COPYING.LESSER;md5=a6f89e2100d9b6cdffcea4f398e37343"
+
+FILESEXTRAPATHS_prepend = "${COREBASE}/meta/recipes-support/${BPN}/${BPN}:"
+
+SRC_URI += " \
+ file://correct_rpl_gettimeofday_signature.patch \
+ file://configure.ac-fix-sed-command.patch \
+ file://use-pkg-config-to-locate-zlib.patch \
+"
+SRC_URI[md5sum] = "8ee8cebd7f7575b11f232766a21c31d3"
+SRC_URI[sha256sum] = "8dfda16c158ef5c134010d51d1a91d02aa5d43b8cb711b1572650a7ffb56b17f"
+
+# This version doesn't support this option added in newer gnutls
+# ERROR: gnutls-3.3.27-r0 do_configure: QA Issue: gnutls: configure was passed unrecognised options: --with-idn [unknown-configure-option]
+PACKAGECONFIG[libidn] = ""
+# but it still has the libidn dependency, without this option
+EXTRA_OECONF += "--disable-crywrap"
+
+# This version doesn't support this option added in newer gnutls
+EXTRA_OECONF_remove = "--without-libunistring-prefix"